Bug 475570 - [LTC 5.4 FEAT] Provide service levels of HW & Hypervisor in Linux [201753]
[LTC 5.4 FEAT] Provide service levels of HW & Hypervisor in Linux [201753]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
s390x All
high Severity high
: alpha
: 5.4
Assigned To: Hans-Joachim Picht
Red Hat Kernel QE team
: FutureFeature, OtherQA, Patch
Depends On:
Blocks: 445204 483701 483784
  Show dependency treegraph
 
Reported: 2008-12-09 12:31 EST by IBM Bug Proxy
Modified: 2011-12-02 14:07 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Provide service levels of hardware and zVM service-levels to Linux userspace, in this case, via /proc/service_levels
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.18-s390-service-levels.patch (15.02 KB, text/plain)
2009-01-23 05:32 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50361 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 12:31:14 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201753]
a. Name of Feature:	Provide service levels of HW & Hypervisor in Linux
b. Feature Description
Provide service levels of hardware and zVM service-levels to Linux userspace, in this case, via
/proc/service_levels

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Backport
Category:	RAS
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.29

3. Business Case
This feature simplifies problem analysis, reducing service costs and TCO, because every time a
customer reports a problem this information is needed.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-01-23 05:32:17 EST
Created attachment 329799 [details]
linux-2.6.18-s390-service-levels.patch
Comment 2 Hans-Joachim Picht 2009-02-12 12:16:07 EST
The patch has been posted to rhkernel on Feb 12. by Hans-Joachim Picht
<hpicht@redhat.com>
Comment 3 RHEL Product and Program Management 2009-02-16 10:16:48 EST
Updating PM score.
Comment 4 IBM Bug Proxy 2009-02-18 10:01:10 EST
Please do not forget to update documentation and/or release notes as mentioned in eSDT call:

Provide service levels of hardware and zVM service-levels to Linux userspace, in this case, via /proc/service_levels
??? More details under:
??? ???Avoiding common pitfalls??? in latest version of Device Drivers, Features, and Commands at:
http://www.ibm.com/developerworks/linux/linux390/development_documentation.html

Thank you!
Comment 5 John Jarvis 2009-03-02 12:58:45 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 6 Don Zickus 2009-04-06 17:17:35 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 Chris Ward 2009-06-14 19:18:27 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 9 Chris Ward 2009-07-03 14:16:49 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 10 Shawn Wells 2009-07-08 16:40:10 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Provide service levels of hardware and zVM service-levels to Linux userspace, in this case, via /proc/service_levels
Comment 11 Chris Ward 2009-07-10 15:08:15 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 14 Chris Ward 2009-08-03 11:45:16 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 5 Released! ~~

RHEL 5.4 Snapshot 5 is the FINAL snapshot to be release before RC. It has been 
released on partners.redhat.com. If you have already reported your test results, 
you can safely ignore this request. Otherwise, please notice that there should be 
a fix available now that addresses this particular issue. Please test and report 
back your results here, at your earliest convenience.

If you encounter any issues while testing Beta, please describe the 
issues you have encountered and set the bug into NEED_INFO. If you 
encounter new issues, please clone this bug to open a new issue and 
request it be reviewed for inclusion in RHEL 5.4 or a later update, if it 
is not of urgent severity. If it is urgent, escalate the issue to your partner manager as soon as possible. There is /very/ little time left to get additional code into 5.4 before GA.

Partners, after you have verified, do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other 
appropriate customer representative.
Comment 15 John Jarvis 2009-08-04 15:26:03 EDT
IBM, can you please verify this feature is functioning correctly in 5.4?
Comment 17 IBM Bug Proxy 2009-08-10 04:31:01 EDT
------- Comment From mgrf@de.ibm.com 2009-08-10 04:28 EDT-------
This feature is verified on RHEL 5.4 snapshots
Closing feature request  - Thx
Comment 19 errata-xmlrpc 2009-09-02 04:23:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.